<transition name="menu-switch" mode="out-in">
    <nav key="large-menu" class="main-nav" :class="classList" aria-label="site" v-if="ready">
        <transition name="menu-open">
            <ul class="main-nav__list" role="presentation" v-show="(!showCompactMenu || mainNavOpen)">
                <main-nav-item v-if="items !== null" ref="navItem"
                    v-for="(item, index) in items" :key="index"
                    :is-compact="showCompactMenu"
                    v-bind="item">
                </main-nav-item>
            </ul>
        </transition>
    </nav>
</transition>
